Subject: Re: bug#19013: 25.0.50; Suggestions for M-x commands

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 16 Nov 2014 20:39:20 +0100

Stefan Monnier <[email-masked]> writes:

>> I just typed `M-x eww RET foo RET', and after displaying the search
>> results, Emacs helpfully said
>> You can run the command `eww' with M-x ew RET
>> I don't think that's particularly helpful, actually.  Just distracting.
>
> Maybe we should only display it if the shorthand is at least
> 2 chars shorter?

I made it a five-char limit.  I don't think it makes sense to recommend
not-very-mnemonic commands to users if they aren't significantly
shorter.  And the shortcuts can change depending on what's loaded, so...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no